[paludis-user] Solve "ss" and "com_err" blockage

Qian Qiao qian.qiao at gmail.com
Wed Nov 19 11:17:40 UTC 2008


On Wed, Nov 19, 2008 at 10:57, Dirk Heinrichs
<dirk.heinrichs.ext at nsn.com> wrote:
> Am Mittwoch 19 November 2008 11:02:32 schrieb ext Qian Qiao:
>
>> In case anyone has the same problem, here's the solution:
>>
>> paludis --uninstall --permit-unsafe-uninstalls com_err
>> paludis --uninstall --permit-unsafe-uninstalls ss
>
> If you like borked systems, then yes. Uninstalling com_err breaks wget!!!! So
> don't tell people to uninstall com_err w/o telling them to fetch new stuff
> first.
>
> Bye...

My bad, I assumed the OP ran paludis -i --dl-blocks discard e2fsprogs
already, since he said he did what was said in the post.

As for com_err breaking wget:

wget depends on openssl if you have the ssl useflag, and if you have
kerberos useflag for openssl, it pulls in mit-krb5.

mit-krb5-1.6.3-r3 and earlier ones depend on
>sys-libs/e2fsprogs-libs-1.40.11, sys-libs/com_err and sys-libs/ss,
and will indeed break if you uninstall com_err and ss

--Joe

-- 
There are 3 kinds of people in the world: those who can count, and
those who can't.



More information about the paludis-user mailing list